LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XProperty Interface Referencepublished

Is implemented by objects that also are a property of some other object. More...

`import"XProperty.idl";`

Inheritance diagram for XProperty:

## Public Member Functions
com::sun::star::beans::Property | getAsProperty ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Is implemented by objects that also are a property of some other object.

Provides access to traits of this object that would otherwise only be available from a containing XPropertySet via its XPropertySetInfo.

## Member Function Documentation

## ◆ getAsProperty()

com::sun::star::beans::Property getAsProperty | ( |  | ) |

Returns
  the specification of this object as Property.

The documentation for this interface was generated from the following file:

- com/sun/star/beans/XProperty.idl